Extend Consent
curl --request POST \
--url https://api.yapily.com/consents/{consentId}/extend \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"lastConfirmedAt": "2021-07-08T10:59:53.288Z"
}
'import requests
url = "https://api.yapily.com/consents/{consentId}/extend"
payload = { "lastConfirmedAt": "2021-07-08T10:59:53.288Z" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({lastConfirmedAt: '2021-07-08T10:59:53.288Z'})
};
fetch('https://api.yapily.com/consents/{consentId}/extend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "679e7bb6cd45416a9a9a8d004c5315da"
},
"data": {
"id": "56a42244-414a-4b52-8c4f-4ad2a50e82fe",
"userUuid": "ca412fdf-5a30-43a2-88b7-5964a24a8e55",
"applicationUserId": "string",
"institutionId": "modelo-sandbox",
"status": "AUTHORIZED",
"createdAt": "2021-06-08T10:59:35.138Z",
"featureScope": [
"ACCOUNT_BENEFICIARIES",
"ACCOUNT_STATEMENT_FILE",
"ACCOUNTS",
"ACCOUNT_PERIODIC_PAYMENTS",
"ACCOUNT_TRANSACTIONS",
"ACCOUNT",
"ACCOUNT_STATEMENTS",
"ACCOUNT_SCHEDULED_PAYMENTS",
"IDENTITY",
"ACCOUNT_DIRECT_DEBITS",
"ACCOUNT_STATEMENT",
"ACCOUNT_BALANCES",
"ACCOUNT_TRANSACTIONS_WITH_MERCHANT"
],
"consentToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJJTlNUSVRVVElPTiI6Im1vZGVsby1zYW5kYm94IiwiQ09OU0VOVCI6IjU2YTQyMjQ0LTQxNGEtNGI1Mi04YzRmLTRhZDJhNTBlODJmZSIsIkFQUExJQ0FUSU9OX1VTRVJfSUQiOiJtb2ZlLTIiLCJVU0VSIjoiY2E0MTJmZGYtNWEzMC00M2EyLTg4YjctNTk2NGEyNGE4ZTU1In0.gorwpnUjSr5dzQJLR32M2geWOj7yK9xMsZmq27ssY9xP_xGmWfUL_aqVHYyQ4r5KWw6Xb6RjvO839st8chJLtg",
"state": "a09f8ff9c1284444aa635267e05f76e1",
"authorizedAt": "2021-06-08T10:59:53.288Z",
"lastConfirmedAt": "2021-07-08T10:59:53.288Z",
"reconfirmBy": "2021-10-06T10:59:53.288Z",
"institutionConsentId": "aac-605d48f2-2a0e-4594-81a9-996524fa3b2a"
}
}{
"error": {
"code": 400,
"status": "BAD_REQUEST",
"message": "lastConfirmedAt cannot be a future date and time"
}
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Consents
Extend Consent
Used to indicate to Yapily that reconfirmation has occurred for a given Consent, and to update lastUpdatedAt and reconfirmBy for that Consent. Returns the Consent.
Extend Consent
Learn more: Managing Consents
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
Mandatory. The consent Id of the Consent to update.
Body
application/json;charset=UTF-8
Mandatory. The time that the user confirmed access to their account information
Example:
"2022-08-16T10:59:53.288Z"
Was this page helpful?
⌘I